[Unit]
Description=Automatically commit notes in university directory
After=display-manager.service

[Service]
Type=simple
Environment=GS_TIME_TO_COMMIT=120 GS_UNCHANGED_RUNS_TO_PUSH=30
# workaround to allow relative executable invocation (i.e. current users' home dir)
ExecStart=/bin/bash -c '%h/.local/share/services/git-sync %h/documents/notes/uni'
Restart=on-failure

[Install]
WantedBy=default.target
